import { Ship } from "../../interfaces/frontend"
import classNames from "classnames"
import { CSSProperties } from "react"

function Ships() {
  const shipIndexes: Ship[] = [
    { size: 2, variant: 1, x: 3, y: 3 },
    { size: 3, variant: 1, x: 4, y: 3 },
    { size: 3, variant: 2, x: 5, y: 3 },
    { size: 3, variant: 3, x: 6, y: 3 },
    { size: 4, variant: 1, x: 7, y: 3 },
    { size: 4, variant: 2, x: 8, y: 3 },
  ]

  return (
    <>
      {shipIndexes.map(({ size, variant, x, y }, i) => {
        const filename = `ship_blue_${size}x_${variant}.gif`
        return (
          <div
            key={i}
            className={classNames("ship", "s" + size)}
            style={{ "--x": x, "--y": y } as CSSProperties}
          >
            <img src={"/assets/" + filename} alt={filename} />
          </div>
        )
      })}
    </>
  )
}

export default Ships
